=== debian/changelog ===
avr-libc (1:1.0.3-1) unstable; urgency=low

  * Upstream update

 -- Hakan Ardo <hakan@debian.org>  Mon, 29 Mar 2004 15:08:19 +0200

avr-libc (20030512cvs-1) unstable; urgency=low

  * Updated to 20030512

 -- Hakan Ardo <hakan@debian.org>  Sat, 24 May 2003 13:39:43 +0200

avr-libc (20020203-4) unstable; urgency=low

  * Enabled crtm8.o and crtm128.o (closes: #160290)
  * Secured __port_cbi_sbi_ok macro with parens (closes: #182898)
  * LICENSE file now included (closes: #182899)

 -- Hakan Ardo <hakan@debian.org>  Sat, 15 Mar 2003 10:09:49 +0100

avr-libc (20020203-3) unstable; urgency=low

  * Added avr link in include dir (closes: #173755)
  * Documents and examples now included (closes: #160298)
  * Moved around )s in iomacros.h (closes: #162030, #174505)

 -- Hakan Ardo <hakan@debian.org>  Wed, 26 Feb 2003 18:31:28 +0100

avr-libc (20020203-2) unstable; urgency=low

  * Support for the mega AVRs now restored (avr3,avr4 and avr5)

 -- Hakan Ardo <hakan@debian.org>  Mon, 15 Apr 2002 14:53:38 +0200

avr-libc (20020203-1) unstable; urgency=low

  * New upstream release (closes: #139033)

 -- Hakan Ardo <hakan@debian.org>  Sat, 30 Mar 2002 10:23:12 +0100

avr-libc (20010708-4) unstable; urgency=low

  * Updated Build-Depend on gcc to reflect version dependency
    (close: #133366).
  * Changed arch to all (closes: #134443)

 -- Hakan Ardo <hakan@debian.org>  Mon, 11 Mar 2002 15:56:30 +0100

avr-libc (20010708-3) unstable; urgency=low

  * Recompiled with new avr-gcc instead oc avr-linux-gcc

 -- Hakan Ardo <hakan@debian.org>  Sat,  9 Feb 2002 16:10:00 +0100

avr-libc (20010708-2) unstable; urgency=low

  * Fixed some spell errors (Bug  #100109)
  * Fixed clean target not to craete dirs (Bug #107089)

 -- Hakan Ardo <hakan@debian.org>  Sat,  9 Feb 2002 16:09:35 +0100

avr-libc (20010708-1) unstable; urgency=low

  * New upstream release

 -- Hakan Ardo <hakan@debian.org>  Sat, 14 Jul 2001 12:46:11 +0200

avr-libc (20010331-1) unstable; urgency=low

  * New upstream release.
  * Added Build-Depends

 -- Hakan Ardo <hakan@debian.org>  Sat,  7 Apr 2001 19:15:22 +0200

avr-libc (20000514-2) unstable; urgency=low

  * Moved to main

 -- Hakan Ardo <hakan@debian.org>  Sun, 29 Oct 2000 13:11:28 +0100

avr-libc (20000514-1) unstable; urgency=low

  * Initial Release.

 -- Hakan Ardo <hakan@debian.org>  Wed, 20 Sep 2000 22:08:40 +0200

Local variables:
mode: debian-changelog
End:
