=== debian/control ===
Source: avr-libc
Section: otherosfs
Priority: extra
Maintainer: Hakan Ardo <hakan@debian.org>
Standards-Version: 3.2.1
Build-Depends-Indep: gcc-avr (>=1:3.0.3-3), debmake

Package: avr-libc
Architecture: all
Depends: ${shlibs:Depends}
Description: Standard C library for Atmel AVR development
 Standard library used to the development of C programs for the
 Atmel AVR micro controllers. This package contains static
 libraries as well as the header files needed.
