=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of debmake, by Christoph Lameter,
# based on the sample debian/rules file for GNU hello by Ian Jackson.

package=avr-libc

CNF=CC=avr-gcc AS=avr-as AR=avr-ar RANLIB=avr-ranlib ../configure --prefix=/usr --target=avr --host=avr

build:
	$(checkdir)
	-rm -rf build-avr2
	mkdir build-avr2
	cd build-avr2 && \
		$(CNF) && \
		$(MAKE)
	-rm -rf build-avr3
	mkdir build-avr3
	cd build-avr3 && \
		$(CNF) --with-multisubdir=avr3 && \
		$(MAKE)
	-rm -rf build-avr4
	mkdir build-avr4
	cd build-avr4 && \
		$(CNF) --with-multisubdir=avr4 && \
		$(MAKE)
	-rm -rf build-avr5
	mkdir build-avr5
	cd build-avr5 && \
		$(CNF) --with-multisubdir=avr4 && \
		$(MAKE)
	touch build

clean:
	$(checkdir)
	-rm -rf build* avr3 avr4 avr5
	-$(MAKE) clean
	-$(MAKE) distclean
	-rm -f `find . -name "*~"`
	-rm -rf debian/tmp debian/files* core debian/substvars
	-rm -f libc/gnu/Makefile

binary-indep: checkroot build
	$(checkdir)
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch: checkroot build
	$(checkdir)
	-rm -rf debian/tmp
	install -d debian/tmp
#	cd debian/tmp && install -d `cat ../dirs`
	$(MAKE) -C build-avr2 install DESTDIR=`pwd`/debian/tmp
	$(MAKE) -C build-avr3 install DESTDIR=`pwd`/debian/tmp
	$(MAKE) -C build-avr4 install DESTDIR=`pwd`/debian/tmp
	$(MAKE) -C build-avr5 install DESTDIR=`pwd`/debian/tmp
	install -d debian/tmp/usr/share/doc/avr-libc
	cp -ra doc/* debian/tmp/usr/share/doc/avr-libc/
	rm debian/tmp/usr/share/doc/avr-libc/INSTALL debian/tmp/usr/share/doc/avr-libc/ChangeLog
	cp ChangeLog debian/tmp/usr/share/doc/avr-libc/changelog
	mv debian/tmp/usr/share/doc/avr-libc/CHANGES.old changelog.old
	cp LICENSE debian/tmp/usr/share/doc/avr-libc/
	gzip -9 `find debian/tmp/usr/share/doc/avr-libc/ -type f`
# Must have debmake installed for this to work. Otherwise please copy
# /usr/bin/debstd into the debian directory and change debstd to debian/debstd
	debstd README 
	dpkg-gencontrol -isp
	chown -R root.root debian/tmp
	chmod -R go=rX debian/tmp
	dpkg --build debian/tmp ..

define checkdir
	test -f debian/rules
endef

binary: binary-indep binary-arch

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot
