## avr-libc 1.8.0%2bAtmel3.4.5-1

=== debian/changelog ===
avr-libc (1:1.8.0+Atmel3.4.5-1) unstable; urgency=medium

  * Added watch file
  * New upstream release

 -- Hakan Ardo <hakan@debian.org>  Wed, 01 Apr 2015 20:17:29 +0200

avr-libc (1:1.8.0+Atmel3.4.4-1) unstable; urgency=medium

  * New upstream release from Atmel-AVR-GNU-Toolchain v3.4.4
    (http://distribute.atmel.no/tools/opensource/Atmel-AVR-GNU-
    Toolchain/3.4.4/) (closes: #740391, #739953, #695514, #719635)
  * Moved manpages to the 3avr section of /usr/share/man
  * Added avr-man manpage (closes: #733939)
  * Added build-arch and build-indep targets
  * Moved build to binary-indep target
  * Increased standards version to 3.9.5
  * Added ${misc:Depends} dependency
  * Applied upstream fix to make pgmspace.h ansi compatible (closes:
    #675759)

 -- Hakan Ardo <hakan@debian.org>  Tue, 03 Jun 2014 14:25:22 +0200

avr-libc (1:1.8.0-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/control: Switch to automake1.11. (Closes: #724351)

 -- Eric Dorland <eric@debian.org>  Sun, 02 Mar 2014 18:14:01 -0500

avr-libc (1:1.8.0-4) unstable; urgency=low

  * Recompiled with gcc 4.8

 -- Hakan Ardo <hakan@debian.org>  Sat, 05 Oct 2013 15:54:43 +0200

avr-libc (1:1.8.0-3) unstable; urgency=low

  * Move man pages to /usr/share/doc/avr-libc/man (closes: #678584,
    #677059)

 -- Hakan Ardo <hakan@debian.org>  Thu, 26 Jul 2012 07:31:00 +0200

avr-libc (1:1.8.0-2) unstable; urgency=low

  * New upstream release

 -- Hakan Ardo <hakan@debian.org>  Wed, 23 May 2012 10:30:07 +0200

avr-libc (1:1.8.0-1) experimental; urgency=low

  * new upstream release

 -- Hakan Ardo <hakan@debian.org>  Thu, 22 Mar 2012 21:01:33 +0100

avr-libc (1:1.7.1-3) experimental; urgency=low

  * recompiled with gcc 4.7

 -- Hakan Ardo <hakan@debian.org>  Thu, 22 Mar 2012 20:43:05 +0100

avr-libc (1:1.7.1-2) unstable; urgency=low

  * include/util/delay.h.in: Add math.h to list of includes (closes:
    #633822)

 -- Hakan Ardo <hakan@debian.org>  Thu, 14 Jul 2011 11:15:32 +0200

avr-libc (1:1.7.1-1) unstable; urgency=low

  * New upstream release (closes: #626119)
  * Now build-depends on doxygen-latex (closes: #616199)

 -- Hakan Ardo <hakan@debian.org>  Sun, 10 Jul 2011 16:46:05 +0200

avr-libc (1:1.6.8-2) unstable; urgency=low

  * Recompiled with new toolchain
  * Added ATmega325P to wdt.h (closes: #587574)

 -- Hakan Ardo <hakan@debian.org>  Fri, 30 Jul 2010 10:55:29 +0200

avr-libc (1:1.6.8-1) unstable; urgency=low

  * New upstream release 
  * Replaced builddep on gs-gpl with ghostscript
  * Autotools executed during build.
  * Now build-depends on doxygen >= 1.6.2 
  * Errors in first two latex passes ignored (closes: #562312)

 -- Hakan Ardo <hakan@debian.org>  Sun, 21 Feb 2010 11:54:12 +0100

avr-libc (1:1.6.7-1) unstable; urgency=low

  * New upstream relese (closes: #544030)
  * Added lintian overrides (closes: #553265)

 -- Hakan Ardo <hakan@debian.org>  Sat, 31 Oct 2009 11:52:10 +0100

avr-libc (1:1.6.2.cvs20080610-2) unstable; urgency=low

  * Added build-depends on texlive-extra-utils (closes: #493454)

 -- Hakan Ardo <hakan@debian.org>  Sun, 10 Aug 2008 09:59:16 +0200

avr-libc (1:1.6.2.cvs20080610-1) unstable; urgency=low

  * New upstream release: WinAVR-20080610

 -- Hakan Ardo <hakan@debian.org>  Sat, 19 Jul 2008 11:18:39 +0200

avr-libc (1:1.6.2-2) unstable; urgency=low

  * Recompiled with new gcc to add support for avr6
  * Moved /usr/avr to /usr/lib/avr (closes: #486844)
  * pdf manual index now has pagenumbers (closes: #486219)

 -- Hakan Ardo <hakan@debian.org>  Wed, 02 Jul 2008 13:53:45 +0200

avr-libc (1:1.6.2-1) unstable; urgency=low

  * New upstream release

 -- Hakan Ardo <hakan@debian.org>  Fri, 04 Apr 2008 17:05:32 +0200

avr-libc (1:1.6.1-1) unstable; urgency=low

  * New upstream release (closes: #464622)

 -- Hakan Ardo <hakan@debian.org>  Fri, 08 Feb 2008 14:58:42 +0100

avr-libc (1:1.4.7-1) unstable; urgency=low

  * New upstream release (closes: #410831, #420163, #421088, #452199, #394231)
  * Replaced tetex packages with texlive in Build-Depends (closes:
    #427266)
  * Now ignores returnstatus of pdflatex when generating docs to prevent
    the build processing from halting on latex warnings (closes:
    #427266)

 -- Hakan Ardo <hakan@debian.org>  Sat, 29 Dec 2007 16:20:03 +0100

avr-libc (1:1.4.6-1) unstable; urgency=low

  * New upstream release

 -- Hakan Ardo <hakan@debian.org>  Thu,  9 Aug 2007 11:28:01 +0200

avr-libc (1:1.4.5-3) unstable; urgency=low

  * Recompiled with new gcc/binutils
  * Fixed build-depends (closes: #420060)

 -- Hakan Ardo <hakan@debian.org>  Sun, 22 Apr 2007 17:52:23 +0200

avr-libc (1:1.4.5-2) unstable; urgency=low

  * Convertion to debheler fixed (closes: #398220)
  * Reference to /usr/share/common-licenses in copyright file

 -- Hakan Ardo <hakan@debian.org>  Wed, 15 Nov 2006 21:12:47 +0100

avr-libc (1:1.4.5-1) unstable; urgency=low

  * New upstream release
  * Converted from debmake to debhelper (closes: #373000)

 -- Hakan Ardo <hakan@debian.org>  Wed,  1 Nov 2006 07:32:23 +0100

avr-libc (1:1.4.4-2) unstable; urgency=low

  * Recompiled with gcc-4.1

 -- Hakan Ardo <hakan@debian.org>  Mon,  1 May 2006 12:03:39 +0200

avr-libc (1:1.4.4-1) unstable; urgency=low

  * New upstream release (closes: #355631, #360685)

 -- Hakan Ardo <hakan@debian.org>  Mon, 24 Apr 2006 20:43:52 +0200

avr-libc (1:1.4.3-1) unstable; urgency=low

  * New upstream release (closes: #350536,#299881). Older versions of avr-libc 
    are avalible as avr-libc-1.2 and avr-libc-1.0.

 -- Hakan Ardo <hakan@debian.org>  Sun,  5 Feb 2006 11:29:51 +0100

avr-libc (1:1.2.3-3) unstable; urgency=low

  * Added build depends on netpbm
  * Added build depends on tetex-extra

 -- Hakan Ardo <hakan@debian.org>  Sat, 19 Mar 2005 11:16:14 +0100

avr-libc (1:1.2.3-2) unstable; urgency=low

  * Added gs to Build-Depends

 -- Hakan Ardo <hakan@debian.org>  Wed,  2 Mar 2005 07:05:20 +0100

avr-libc (1:1.2.3-1) unstable; urgency=low

  * Upstream release


