=== debian/control ===
Source: avr-libc
Section: otherosfs
Priority: extra
Maintainer: Hakan Ardo <hakan@debian.org>
Standards-Version: 3.9.5
Build-Depends: gcc-avr (>=1:4.8.1+Atmel3.4.5), binutils-avr (>=2.24+Atmel3.4.5), debhelper (>=5), doxygen-latex (>=1.8.7), doxygen (>=1.8.7), transfig, ghostscript, netpbm, x11-common, autotools-dev, autoconf2.59, automake1.11, unzip

Package: avr-libc
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends},  gcc-avr (>=1:4.8.1+Atmel3.4.5), binutils-avr (>=2.24+Atmel3.4.5)
Description: Standard C library for Atmel AVR development
 Standard library used to the development of C programs for the
 Atmel AVR micro controllers. This package contains static
 libraries as well as the header files needed.
