=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of debmake, by Christoph Lameter,
# based on the sample debian/rules file for GNU hello by Ian Jackson.

package=avr-libc

SRC=avr-libc

unpack: unpack-stamp
unpack-stamp:
	tar xf avr-libc-*.tar.bz2
	unzip avr8-headers-*.zip
	touch unpack-stamp

patch: patch-stamp
patch-stamp: unpack-stamp
	cp avr/*.h $(SRC)/include/avr/
	sed -i -s 's/^MAN_EXTENSION.*/MAN_EXTENSION = .3avr/'  \
		$(SRC)/doc/api/doxygen.config.in
	echo 'MAN_SUBDIR = man3' >> $(SRC)/doc/api/doxygen.config.in
	sed -i -s 's/man\/man3\/\*.3/man\/man3\/\*.3avr/' \
		$(SRC)/doc/api/Makefile.am
	cd $(SRC) && patch -p0 < ../debian/bug_675759.patch
	patch -p0 < debian/ignore_latext_exit_code.patch
	touch patch-stamp

build: build-stamp
build-stamp: patch-stamp
	$(checkdir)
	cd $(SRC) && ./bootstrap
	cd $(SRC) && ./configure --build=`./config.guess` --host=avr \
	    --prefix=/usr/lib \
	    --disable-versioned-doc --enable-doc \
	    --disable-ps-doc --datadir=/usr/share --bindir=/usr/bin \
	    --mandir=/usr/share/man 

	cd $(SRC) && make
	touch build-stamp

build-arch: build
build-indep: build

clean:
	$(checkdir)
	-rm -rf build-stamp unpack-stamp patch-stamp avr $(SRC)
	-rm -rf debian/tmp debian/files* core debian/substvars
	-dh_clean

binary-indep: checkroot build
	$(checkdir)
	RGBDEF=/etc/X11/rgb.txt make -C $(SRC) install DESTDIR=`pwd`/debian/$(package)
	cp $(SRC)/NEWS debian/$(package)/usr/share/doc/$(package)/changelog
	install -d debian/$(package)/usr/share/lintian/overrides
	cp debian/lintian_overrides debian/$(package)/usr/share/lintian/overrides/$(package)
	mv debian/avr-libc/usr/lib/bin debian/avr-libc/usr/
	install -d debian/avr-libc/usr/share/man/man1
	cp debian/avr-man.1 debian/avr-libc/usr/share/man/man1
	cp debian/avr-man debian/avr-libc/usr/bin/

	dh_installchangelogs
	dh_installdocs
	dh_installman 
	dh_compress
	dh_fixperms
	dh_installdeb

	dh_md5sums
	dh_gencontrol
	dh_builddeb

binary-arch: checkroot build

define checkdir
	test -f debian/rules
endef

binary: binary-indep binary-arch

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot
