## avr-libc 2.0.0+Atmel3.7.0

=== debian/changelog ===
avr-libc (1:2.0.0+Atmel3.7.0-1) unstable; urgency=medium

  * New upstream release
  * Adopt package (Closes: #1055331)
  * Increased standards version to 4.6.2
  * Update watch file
  * d/patches - rework for 3.7.0

 -- Steve Meliza <swm@swm1.com>  Fri, 24 Nov 2023 15:59:10 -0800

avr-libc (1:2.0.0+Atmel3.6.2-5) unstable; urgency=medium

  * Convert to source format 3.0 (Closes: #1039478)

 -- Bastian Germann <bage@debian.org>  Sat, 04 Nov 2023 12:53:06 +0100

avr-libc (1:2.0.0+Atmel3.6.2-4) unstable; urgency=medium

  * Remove versions from automake and doxygen B-D (Closes: #865150)
  * Adopt package (Closes: #969205)

  [ Debian Janitor ]
  * Explicitly specify source format.
  * Bump debhelper from deprecated 7 to 13.
  * Set debhelper-compat version in Build-Depends.

 -- Bastian Germann <bage@debian.org>  Thu, 22 Jun 2023 22:38:11 +0200

avr-libc (1:2.0.0+Atmel3.6.2-3) unstable; urgency=medium

  * Bump debhelper compat to 7 (closes: #965428)

 -- Hakan Ardo <hakan@debian.org>  Fri, 07 Jan 2022 13:18:49 +0100

avr-libc (1:2.0.0+Atmel3.6.2-2) unstable; urgency=medium

  * Source only upload for migration to testing

 -- Hakan Ardo <hakan@debian.org>  Fri, 11 Dec 2020 15:00:22 +0100

avr-libc (1:2.0.0+Atmel3.6.2-1) unstable; urgency=medium

  * New upstream release

 -- Hakan Ardo <hakan@debian.org>  Wed, 11 Nov 2020 08:22:47 +0100

avr-libc (1:2.0.0+Atmel3.6.1-2) unstable; urgency=medium

  [ Hakan Ardo ]
  * Fix latex errors (closes: #921775)

  [ Ondřej Nový ]
  * d/control: Deprecating priority extra as per policy 4.0.1
  * d/changelog: Remove trailing whitespaces
  * d/control: Remove trailing whitespaces
  * d/rules: Remove trailing whitespaces
  * d/control: Add Vcs-* field

 -- Hakan Ardo <hakan@debian.org>  Sat, 16 Feb 2019 16:54:38 +0100

avr-libc (1:2.0.0+Atmel3.6.1-1) unstable; urgency=medium

  * New upstream release

 -- Hakan Ardo <hakan@debian.org>  Thu, 28 Jun 2018 12:03:45 +0200

avr-libc (1:2.0.0+Atmel3.6.0-1) unstable; urgency=medium

  * New upstream release

 -- Hakan Ardo <hakan@debian.org>  Fri, 04 Aug 2017 19:22:45 +0200

avr-libc (1:2.0.0+Atmel3.5.4-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Replaced the versioned build-dependency on autoconf2.59 by a
    dependency on autoconf, which closes: #859535

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 12 Jul 2017 10:03:02 +0200

avr-libc (1:2.0.0+Atmel3.5.4-1) unstable; urgency=medium

  * New upstream release (closes: #779495, #787715, #762303, #785797)

 -- Hakan Ardo <hakan@debian.org>  Wed, 05 Apr 2017 19:32:00 +0200

avr-libc (1:1.8.0+Atmel3.5.0-1) unstable; urgency=medium

  * New upstream release
  * Add configure option --enable-device-lib

 -- Hakan Ardo <hakan@debian.org>  Fri, 11 Dec 2015 16:58:02 +0100
