=== debian/control ===
Source: avr-libc
Section: otherosfs
Priority: optional
Maintainer: Steve Meliza <swm@swm1.com>
Standards-Version: 4.6.2
Homepage: https://www.microchip.com/en-us/tools-resources/develop/microchip-studio/gcc-compilers
Build-Depends: gcc-avr (>= 7.3.0+Atmel3.7.0), binutils-avr (>= 2.26.20160125+Atmel3.7.0), debhelper-compat (= 13), doxygen-latex, doxygen, transfig, ghostscript, netpbm, x11-common, autoconf, automake, unzip
Vcs-Browser: https://salsa.debian.org/debian/avr-libc
Vcs-Git: https://salsa.debian.org/debian/avr-libc.git

Package: avr-libc
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends},  gcc-avr (>= 7.3.0+Atmel3.7.0), binutils-avr (>=2.26.20160125+Atmel3.7.0)
Description: Standard C library for Atmel AVR development
 Standard library used to the development of C programs for the
 Atmel AVR micro controllers. This package contains static
 libraries as well as the header files needed.
