=== debian/rules ===
--- 
+++ 
@@ -4,35 +4,17 @@
 
 package=avr-libc
 
-SRC=avr-libc
-
-unpack: unpack-stamp
-unpack-stamp:
-	tar xf avr-libc-*.tar.bz2
-	unzip avr8-headers-*.zip
-	touch unpack-stamp
-
-patch: patch-stamp
-patch-stamp: unpack-stamp
-	cp avr/*.h $(SRC)/include/avr/
-	sed -i -s 's/^MAN_EXTENSION.*/MAN_EXTENSION = .3avr/'  \
-		$(SRC)/doc/api/doxygen.config.in
-	echo 'MAN_SUBDIR = man3' >> $(SRC)/doc/api/doxygen.config.in
-	sed -i -s 's/man\/man3\/\*.3/man\/man3\/\*.3avr/' \
-		$(SRC)/doc/api/Makefile.am
-	cd $(SRC) && patch -p0 < ../debian/bug_675759.patch
-	patch -p0 < debian/ignore_latext_exit_code.patch
-	touch patch-stamp
+SRC=libc/avr-libc
 
 build: build-stamp
-build-stamp: patch-stamp
+build-stamp:
 	$(checkdir)
 	cd $(SRC) && ./bootstrap
 	cd $(SRC) && ./configure --build=`./config.guess` --host=avr \
-	    --prefix=/usr/lib \
+	    --prefix=/usr/lib --enable-device-lib \
 	    --disable-versioned-doc --enable-doc \
-	    --disable-ps-doc --datadir=/usr/share --bindir=/usr/bin \
-	    --mandir=/usr/share/man 
+	    --datadir=/usr/share --bindir=/usr/bin \
+	    --mandir=/usr/share/man
 
 	cd $(SRC) && make
 	touch build-stamp
@@ -42,8 +24,10 @@
 
 clean:
 	$(checkdir)
-	-rm -rf build-stamp unpack-stamp patch-stamp avr $(SRC)
+	[ ! -f Makefile ] || make -C $(SRC) distclean
 	-rm -rf debian/tmp debian/files* core debian/substvars
+	-rm -f build-stamp
+	-rm -rf libc/avr-libc/avr
 	-dh_clean
 
 binary-indep: checkroot build
@@ -59,7 +43,7 @@
 
 	dh_installchangelogs
 	dh_installdocs
-	dh_installman 
+	dh_installman
 	dh_compress
 	dh_fixperms
 	dh_installdeb
