## avr-libc 2.2.1

=== debian/changelog ===
avr-libc (1:2.2.1-1) unstable; urgency=low

  * New upstream release from mainline (Closes: 867235, 930195, 959901)
  * d/rules: Don't require root (Closes: 1089288)
  * Switch over to dh sequencer

  [Keith Packard]
  * d/patches: Fix creation of user manual
  * d/lintian_overrides: Add additional overrides

 -- Steve Meliza <swm@swm1.com>  Sun, 22 Dec 2024 18:18:47 -0800
