=== debian/control ===
Source: avr-libc
Section: otherosfs
Priority: optional
Maintainer: Steve Meliza <swm@swm1.com>
Standards-Version: 4.7.0
Homepage: https://avrdudes.github.io/avr-libc/
Rules-Requires-Root: no
Build-Depends: gcc-avr, binutils-avr, debhelper-compat (= 13), doxygen-latex, doxygen, transfig, ghostscript, netpbm, x11-common, autoconf, automake, unzip
Vcs-Browser: https://salsa.debian.org/debian/avr-libc
Vcs-Git: https://salsa.debian.org/debian/avr-libc.git

Package: avr-libc
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, gcc-avr, binutils-avr
Description: Standard C library for Atmel AVR development
 Standard library used to the development of C programs for the
 Atmel AVR micro controllers. This package contains static
 libraries as well as the header files needed.
