=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of debmake, by Christoph Lameter,
# based on the sample debian/rules file for GNU hello by Ian Jackson.

package=avr-libc

%:
	dh $@


override_dh_autoreconf:


override_dh_auto_configure:
	$(checkdir)
	./bootstrap
	./configure --build=`./config.guess` --host=avr \
	    --prefix=/usr/lib --enable-device-lib \
	    --disable-versioned-doc --enable-doc \
	    --datadir=/usr/share --bindir=/usr/bin \
	    --mandir=/usr/share/man

override_dh_auto_clean:
	$(checkdir)
	[ ! -f Makefile ] || make distclean
	-rm -rf debian/tmp debian/files* core debian/substvars
	-rm -rf avr avr-libc
	-rm -f Makefile.in common/Makefile.in crt1/Makefile.in crt1/iosym/Makefile.in 
	-rm -f devtools/Makefile.in doc/Makefile.in doc/api/Makefile.in doc/examples/Makefile.in
	-rm -f include/Makefile.in include/avr/Makefile.in include/compat/Makefile.in
	-rm -f include/sys/Makefile.in include/util/Makefile.in libc/Makefile.in
	-rm -f libc/misc/Makefile.in libc/pmstring/Makefile.in libc/stdio/Makefile.in
	-rm -f libc/stdlib/Makefile.in libc/string/Makefile.in libc/time/Makefile.in
	-rm -f libm/Makefile.in libm/fplib/Makefile.in scripts/Makefile.in
	-rm -f aclocal.m4 devices.m4 devlist.m4 files.m4 multilib.m4
	-rm -f compile config.guess config.h.in config.sub configure depcomp install-sh
	-rm -f devtools/config.log devtools/config.status devtools/gen-avr-lib-tree.sh
	-rm -f missing tmp-core-info tmp-device-info
	-dh_clean

override_dh_auto_install:
	$(checkdir)
	RGBDEF=/etc/X11/rgb.txt make install DESTDIR=`pwd`/debian/$(package)
	cp NEWS debian/$(package)/usr/share/doc/$(package)/changelog
	install -d debian/$(package)/usr/share/lintian/overrides
	cp debian/lintian_overrides debian/$(package)/usr/share/lintian/overrides/$(package)
	mv debian/avr-libc/usr/lib/bin debian/avr-libc/usr/
	install -d debian/avr-libc/usr/share/man/man1
	cp debian/avr-man.1 debian/avr-libc/usr/share/man/man1
	cp debian/avr-man debian/avr-libc/usr/bin/

	dh_installchangelogs
	dh_installdocs
	dh_installman
	dh_compress
	dh_fixperms
	dh_installdeb

	dh_md5sums
	dh_gencontrol
	dh_builddeb

define checkdir
	test -f debian/rules
endef
