=== debian/watch ===
version=4
opts="searchmode=plain,\
filenamemangle=s%v?@ANY_VERSION@%@PACKAGE@-$1.tar.bz2%" \
https://api.github.com/repos/avrdudes/avr-libc/releases?per_page=100 \
https://github.com/[^/]+/[^/]+/releases/download/avr-libc-\d_\d_\d-release/avr-libc-@ANY_VERSION@@ARCHIVE_EXT@
